> ## Documentation Index > Fetch the complete documentation index at: https://docs.validatar.com/llms.txt > Use this file to discover all available pages before exploring further. # Export Tests/Jobs > Export a set of tests and/or jobs ## OpenAPI ````json POST /api/v1/Authoring/projects/{projectId}/export { "openapi": "3.0.4", "info": { "title": "Validatar API Documentation", "description": "# Overview\nThe Validatar Core website provides [REST](https://en.wikipedia.org/wiki/Representational_state_transfer) API access to the back-end functionality included in Validatar. This documentation provides the ability to call the API endpoints directly, provided a user is authorized to do so. If you do not currently have the Validatar app, visit the [Validatar home page](https://www.validatar.com/) to see details. If you are looking for the application documentation, visit the [Validatar application documentation page](https://docs.validatar.com/docs).\n\n\n\n# Scopes\n| Scope | Description |\n|----------------|-------------|\n| Authoring | The endpoints in Authoring provide configuration and creation operations. This includes operations such as creating folders or updating tests. |\n| Data Steward | The endpoints in Data Steward allow technical, custom, and lineage metadata ingestion at the data source, schema, table, and column levels. |\n| Execution | The endpoints in Execution allow executing standard/template tests or jobs. |\n| Catalog | The endpoints in Catalog allow retrieving technical, custom, and lineage metadata information at the data source, schema, table, and column levels. |\n| Reporting | The endpoints in Reporting allow retrieving a list of reports and executing reports. |\n| Security Admin | The endpoints in Security Admin allow configuring user groups and managing user permissions. |\n\n", "version": "v1" }, "servers": [ { "url": "https://training.cloud.validatar.com/core" } ], "tags": [ { "name": "Authoring" }, { "name": "Catalog" }, { "name": "Data Steward" }, { "name": "Execution" }, { "name": "Reporting" }, { "name": "Security Admin" } ], "paths": { "/api/v1/Authoring/projects/{projectId}/export": { "post": { "tags": [ "Authoring" ], "summary": "Export Tests/Jobs", "description": "Export a set of tests and/or jobs", "parameters": [ { "name": "projectId", "in": "path", "description": "Id of the project containing the exported objects", "required": true, "schema": { "type": "integer", "format": "int32" } } ], "requestBody": { "description": "Information about the objects to be exported", "content": { "application/json-patch+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectExportRequest" } }, "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectExportRequest" } }, "text/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectExportRequest" } }, "application/*+json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectExportRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.ProjectExportResult" } } } }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Configuration.Api.Models.v1.Common.ErrorListResponse" } } } }, "403": { "description": "Forbidden" } }, "security": [ {} ] } } }, "components": { "schemas": { "Configuration.Api.Models.v1.ProjectExportRequest": { "title": "ProjectExportRequest", "required": [ "name" ], "type": "object", "properties": { "name": { "minLength": 1, "type": "string", "description": "Filename of the export file to generate" }, "description": { "type": "string", "description": "Description of the export file", "nullable": true }, "testFolderIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of test folder IDs to include in the export file" }, "jobFolderIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of job folder IDs to include in the export file" }, "testIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of test IDs to include in the export file" }, "jobIds": { "type": "array", "items": { "type": "integer", "format": "int32" }, "description": "List of job IDs to include in the export file" }, "includeCustomFields": { "type": "boolean", "description": "Whether to include custom fields in the export file" }, "includeJobSchedules": { "type": "boolean", "description": "Whether to include job schedules in the export file" } }, "additionalProperties": false }, "Configuration.Api.Models.v1.ProjectExportResult": { "title": "ProjectExportResult", "type": "object", "properties": { "fileName": { "type": "string", "description": "Name of the export file" }, "mimeType": { "type": "string", "description": "Mime type of the export file" }, "contentBase64": { "type": "string", "description": "Content of the export file formatted as a Base64 string", "format": "byte", "nullable": true } }, "additionalProperties": false }, "Configuration.Api.Models.v1.Common.ErrorListResponse": { "title": "ErrorListResponse", "type": "object", "properties": { "errors": { "type": "array", "items": { "type": "string" } } }, "additionalProperties": false } } } } ````